SQL Syntax error when upgrading from 3.1.9 to 3.2.12

Home \ forums/topic \ SQL Syntax error when upgrading from 3.1.9 to 3.2.12

Support Home Page Forums Joomla Software Easy Folder Listing Pro Plugin SQL Syntax error when upgrading from 3.1.9 to 3.2.12

This topic contains 3 replies, has 2 voices, and was last updated by  Michael Gilkes 1 year, 5 months ago.

Viewing 4 posts - 1 through 4 (of 4 total)
  • Author
    Posts
  • #885

    ereil
    Participant

    Hi Michael,

    i want to upgrade from 3.1.9 to newest version 3.2.12 because 3.1.9 seems to be incompatible with php 5.6 and above.

    But when i install the package i get the error:

    You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ‘IGNORE TABLE #__eflp_profiles ADD COLUMN unpublishedlisting tinyint(3) un’ at line 1 SQL=ALTER IGNORE TABLE #__eflp_profiles ADD COLUMN unpublishedlisting tinyint(3) unsigned NOT NULL DEFAULT ‘1’ AFTER method

    Joomla version is 3.6.5

    tested both php 5.5.38 and 5.6.30

    Can you please check whats going wrong?

    Thanks and best regards

    #2289

    Michael Gilkes
    Keymaster

    @ereil. What version of MySQL are you using on your servers?

    #2290

    ereil
    Participant

    Hi Michael,

    we use ubuntu 16.04 with MySQL 5.7.17

    #2291

    Michael Gilkes
    Keymaster

    @ereil. Thanks for that info. I checked the MySQL documentation and I think the issue is that the “IGNORE” syntax was removed in MySQL version 5.7. So, I will have to upgrade the extension and remove that from the code. I should have a new release with the fix some time today or tomorrow.

Viewing 4 posts - 1 through 4 (of 4 total)

The topic ‘SQL Syntax error when upgrading from 3.1.9 to 3.2.12’ is closed to new replies.